Subject: Re: [PATCH net-next-2.6 v3] net_sched: SFB flow scheduler

From: Stephen Hemminger <[email-masked]>
Date: Wed, 23 Feb 2011 07:43:05 -0800

On Wed, 23 Feb 2011 16:14:51 +0100
Eric Dumazet <[email-masked]> wrote:

> 1) SFB default child qdisc is pfifo_fast. It can be changed by another
> qdisc but a child qdisc MUST not drop a packet previously queued. This
> is because SFB needs to handle a dequeued packet in order to maintain
> its virtual queue states. pfifo_head_drop or CHOKe should not be used.

Why not add a flag field to Qdisc_ops and to mark qdisc's that
are (or not) work conserving?

--